Bug 1113320 - Cannot Navigate Through Books
Summary: Cannot Navigate Through Books
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bibletime
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: greg.hellings
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-26 00:25 UTC by David Le Sage
Modified: 2014-07-19 05:58 UTC (History)
2 users (show)

Fixed In Version: bibletime-2.10.1-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-19 05:58:29 UTC


Attachments (Terms of Use)

Description David Le Sage 2014-06-26 00:25:40 UTC
Description of problem:

You cannot navigate past the title page of books such as Imitation of Christ, Orthodoxy and Pilgrim's Progress.


Version-Release number of selected component (if applicable):
Name        : bibletime
Version     : 2.10.0
Release     : 1.fc20


How reproducible:
Every time.

Steps to Reproduce:
1. yum install bibletime
2. Launch bibletime under KDE environment.
3. In the application's left-hand tree panel, click on "Books->English->Imitation".
4. The title page of Thomas a Kempis' "Imitation of Christ" displays correctly.
5. If you  click on the drop-down in the titlebar or the scroll arrows, you cannot navigate past the title page.

Actual results:
You cannot navigate past the title page.  The same is true of all the items in the "Books" category but items in the "Bibles" and "Daily Devotionals" categories work correctly.

Expected results:
You should be able to navigate through the book.

Additional info:

Comment 1 greg.hellings 2014-06-27 03:01:06 UTC
This has been reported upstream and they have crafted a patch to fix the problem. They are discussing whether to release 2.10.1 with the fix or whether I should just port the patch back to 2.10. I will release an updated package as soon as their decision is made. ETA ~24 hours for the decision.

Comment 2 greg.hellings 2014-07-08 04:01:57 UTC
2.10.1 is released, I'm building it and beginning to filter it down through the build chain to Fedora 20.

Comment 3 Fedora Update System 2014-07-08 04:33:47 UTC
bibletime-2.10.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/bibletime-2.10.1-1.fc20

Comment 4 Fedora Update System 2014-07-09 02:27:46 UTC
Package bibletime-2.10.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bibletime-2.10.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8174/bibletime-2.10.1-1.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-07-10 15:00:05 UTC
bibletime-2.10.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/bibletime-2.10.1-2.fc20

Comment 6 Fedora Update System 2014-07-19 05:58:29 UTC
bibletime-2.10.1-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.